All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::KeypointSaver Class Reference

`#include <keypointSaver.hpp>`

Inherits op::FileSaver.

## Public Member Functions

| KeypointSaver (const std::string &directoryPath, const DataFormat format)
virtual | ~KeypointSaver ()
void | saveKeypoints (const std::vector< Array< float >> &keypointVector, const std::string &fileName, const std::string &keypointName) const

## Additional Inherited Members

Protected Member Functions inherited from op::FileSaver
| FileSaver (const std::string &directoryPath)
virtual | ~FileSaver ()
std::string | getNextFileName (const unsigned long long index) const
std::string | getNextFileName (const std::string &fileNameNoExtension) const

## Constructor & Destructor Documentation

op::KeypointSaver::KeypointSaver | ( | const std::string & | directoryPath,
|  | const DataFormat | format
| ) |  |

virtual op::KeypointSaver::~KeypointSaver | ( |  | ) |

virtual

## Member Function Documentation

void op::KeypointSaver::saveKeypoints | ( | const std::vector< Array< float >> & | keypointVector,
|  | const std::string & | fileName,
|  | const std::string & | keypointName
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/keypointSaver.hpp